function E = eyet(K, I)
% EYET Tensor identity matrix
%
% Usage:
%    eye(K, I) is the (K x K x ... x K) identity I-way tensor.
%
% Example:
%    x = eyet(2,3)
%    Returns a 2 x 2 x 2 identity tensor
%
% Copyright 2009, Mikkel N. Schmidt

E = zeros(K*ones(1,I));
ind = cell(1,I);
[ind{1:I}] = deal(1:K);
E(sub2ind(K*ones(1,I), ind{:})) = 1; 
